From: Jesse Zhang <sen.zhang@windriver.com>
To: <openembedded-core@lists.openembedded.org>
Subject: [PATCH] udev: don't mount with -o sync
Date: Tue, 3 Jul 2012 16:49:28 +0800 [thread overview]
Message-ID: <1341305368-30561-1-git-send-email-sen.zhang@windriver.com> (raw)
mount.sh mounts all partitions with -o sync, which is bad for system
performance.
Signed-off-by: Jesse Zhang <sen.zhang@windriver.com>
---
meta/recipes-core/udev/udev/mount.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/meta/recipes-core/udev/udev/mount.sh b/meta/recipes-core/udev/udev/mount.sh
index 53fefa3..c13b8bb 100644
--- a/meta/recipes-core/udev/udev/mount.sh
+++ b/meta/recipes-core/udev/udev/mount.sh
@@ -23,7 +23,7 @@ automount() {
! test -d "/media/$name" && mkdir -p "/media/$name"
- if ! $MOUNT -t auto -o sync $DEVNAME "/media/$name"
+ if ! $MOUNT -t auto $DEVNAME "/media/$name"
then
#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
rm_dir "/media/$name"
--
1.7.10.4
next reply other threads:[~2012-07-03 9:02 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-07-03 8:49 Jesse Zhang [this message]
2012-07-03 10:41 ` [PATCH] udev: don't mount with -o sync Koen Kooi
2012-07-04 2:00 ` Jesse Zhang
2012-07-04 2:03 ` [PATCH v2] " Jesse Zhang
2012-07-17 16:53 ` [PATCH] " Saul Wold
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1341305368-30561-1-git-send-email-sen.zhang@windriver.com \
--to=sen.zhang@windriver.com \
--cc=openembedded-core@lists.openembedded.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox